<template>
  <div class="base-page-wrapper coupon-detail">
    <el-bus-title title="优惠券信息" size="small" />
    <el-bus-form
      ref="form"
      label-width="auto"
      :content="formContent"
      readonly
    />
    <div class="base-page-wrapper__line"></div>
    <el-bus-title title="发放记录" size="small" />
    <el-bus-crud v-bind="recordTableConfig" />
    <div class="text-center mt-20">
      <el-button class="min-w-100" @click="goBack">返回</el-button>
    </div>
  </div>
</template>

<script>
import {
  couponForm,
  couponRecordColumn,
  recordTableConfig,
} from '@/utils/coupon-form'
import CouponDetail from '@/plugins/mixins/coupon-detail.vue'
export default {
  mixins: [CouponDetail],
  data() {
    return {
      detailUrl: `flower/api/v2/coupon/user`,
      formContent: [
        {
          type: 'row',
          items: [
            ...couponForm(),
            {
              label: '发放时间：',
              id: 'createTime',
              type: 'input',
            },
            {
              label: '有效期：',
              id: 'effectiveTime',
              inputFormat: (row) => {
                return row.usageStartDate
                  ? `${row.usageStartDate} ~ ${row.usageEndDate || ''}`
                  : `发放后${row.usageTimeNum}${row.usageTimeTypeName || ''}`
              },
              span: 24,
            },
          ],
        },
      ],
      recordTableConfig: {
        ...recordTableConfig(this.$route.params.id),
        columns: [...couponRecordColumn('发放时间')],
      },
    }
  },
  head() {
    return {
      title: '用户优惠券详情',
    }
  },
}
</script>

<style lang="scss" scoped>
@import '@/assets/coupon/detail.scss';
</style>
